## ros-indigo-pugixml 1.7.1

=== CMakeLists.txt ===
################################################################################
# user build settings

#ROS USAGE
SET(USE_ROS True) # Set False if you want to build this package without Catkin

################################################################################


cmake_minimum_required(VERSION 2.8.3)

set(PROJECT_NAME pugixml)
project(${PROJECT_NAME})


### Use version 2011 of C++ (c++11). By default ROS uses c++98
#see: http://stackoverflow.com/questions/10851247/how-to-activate-c-11-in-cmake
#see: http://stackoverflow.com/questions/10984442/how-to-detect-c11-support-of-a-compiler-with-cmake
#add_definitions(-std=c++11)
# add_definitions(-std=c++0x)
add_definitions(-std=c++03)


# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries



if(NOT USE_ROS)
	set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/lib)
	set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/bin)
endif(NOT USE_ROS)


	
set(PUGIXML_LIBRARY_SOURCE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}/src/sources
)

set(PUGIXML_LIBRARY_SOURCE_FILES
	${PUGIXML_LIBRARY_SOURCE_DIR}/pugixml.cpp
)
	
set(PUGIXML_LIBRARY_HEADER_DIR
	${CMAKE_CURRENT_SOURCE_DIR}/src/include
)

set(PUGIXML_LIBRARY_HEADER_FILES
	${PUGIXML_LIBRARY_HEADER_DIR}/pugixml/pugiconfig.hpp
	${PUGIXML_LIBRARY_HEADER_DIR}/pugixml/pugixml.hpp
)


if(USE_ROS)
  find_package(catkin REQUIRED)

  catkin_package(
      INCLUDE_DIRS ${PUGIXML_LIBRARY_HEADER_DIR}
      LIBRARIES ${PROJECT_NAME}
    )
endif()


include_directories(${PUGIXML_LIBRARY_HEADER_DIR} ${PUGIXML_LIBRARY_HEADER_DIR}/pugixml)

if(USE_ROS)
  include_directories(${catkin_INCLUDE_DIRS})
endif()


add_library(${PROJECT_NAME} ${PUGIXML_LIBRARY_SOURCE_FILES} ${PUGIXML_LIBRARY_HEADER_FILES})

if(USE_ROS)
  add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
endif()




################################################################################
# Create the pugixmlConfig.cmake file for other cmake projects.
IF(NOT USE_ROS)

    SET(pugixml_LIBRARY_DIR ${LIBRARY_OUTPUT_PATH} )
    #Library with the full path
    SET(pugixml_LIBRARY "${LIBRARY_OUTPUT_PATH}/lib${PROJECT_NAME}.a" )

    SET(pugixml_INCLUDE_DIR
      ${PUGIXML_LIBRARY_HEADER_DIR}
    )

    CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}Config.cmake.in
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/${PROJECT_NAME}Config.cmake @ONLY IMMEDIATE )
    export( PACKAGE ${PROJECT_NAME} )

#TODO
#    INSTALL(DIRECTORY include/pugixml DESTINATION ${CMAKE_INSTALL_PREFIX}/include FILES_MATCHING PATTERN "*.h" )
#    INSTALL(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )
ENDIF()

=== debian/changelog ===
ros-indigo-pugixml (1.7.1-0trusty) trusty; urgency=high

  * updating license and readme
  * adding compatibility without ROS
  * minor info update. Still need to be updated properly
  * upgraded to version 1.7 of pugixml and changed the name
  * readme
  * first commit
  * Contributors: Jose Luis Sanchez Lopez, joselusl

 -- Jose Luis Sanchez-Lopez <jl.sanchez@upm.es>  Sat, 05 Mar 2016 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-pugixml
Section: misc
Priority: extra
Maintainer: Jose Luis Sanchez-Lopez <jl.sanchez@upm.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pugixml
Standards-Version: 3.9.2

Package: ros-indigo-pugixml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package is pugixml.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pugixml//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
